summaryrefslogtreecommitdiffstats
path: root/debian/dselect.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dselect.postrm')
-rwxr-xr-xdebian/dselect.postrm34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/dselect.postrm b/debian/dselect.postrm
new file mode 100755
index 0000000..8fd1191
--- /dev/null
+++ b/debian/dselect.postrm
@@ -0,0 +1,34 @@
+#!/bin/sh
+# See deb-postrm(5).
+
+set -e
+
+# Remove dselect methods state.
+purge_state() {
+ admindir=${DPKG_ADMINDIR:-/var/lib/dpkg}
+
+ rm -f $admindir/cmethopt 2>/dev/null
+ for method in disk ftp mnt media; do
+ rm -rf $admindir/methods/$method/* 2>/dev/null
+ done
+}
+
+case "$1" in
+remove)
+ ;;
+purge)
+ purge_state
+ ;;
+upgrade)
+ ;;
+failed-upgrade|disappear|abort-install|abort-upgrade)
+ ;;
+*)
+ echo "$0 called with unknown argument '$1'" 1>&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0